for n=1:10000
    sum=0;
    for i=1:n/2
        if rem(n,i)==0     %rem函数是求余数，余数为0表示i为真因子
            sum=sum+i;     %求各真因子累加求和
        end
    end
    if n==sum              %判断是否完数   
        n
    end
end